package com.sd.business.entity.bom.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * bom列表查询入参实体
 *
 * @author
 * @since 2023-12-04
 */
@Getter
@Setter
public class BomSelectDto extends BaseSelectDto {

    /**
     * 名称
     */
    private String name;

    /**
     * 品号
     */
    private String code;

    /**
     * 规格品名
     */
    private String bomSpecName;

    /**
     * 规格品号
     */
    private String bomSpecCode;

    /**
     * 种类 字典:bom_species
     */
    private String species;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 售价体系id
     */
    private Long priceSystemId;

    /**
     * bom分类id
     */
    private Long bomClassifyId;

    /**
     * bom分类id
     */
    private List<Long> bomClassifyIdList;

}
