package com.sd.business.entity.in.dto;

import com.sd.business.entity.in.po.InOutStorage;
import com.sd.business.entity.in.po.InOutStorageBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 出入库新增编辑入参实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
public class InOutStorageDto extends InOutStorage {

    @Valid
    @NotEmpty(message = "物料信息不能为空")
    private List<InOutStorageBom> inOutStorageBomList;

}
