package com.sd.business.entity.order.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 订单sku列表查询入参实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
public class OrderSkuSelectDto extends BaseSelectDto {

    /**
     * sku规格编码
     */
    private String skuSpecCode;

    /**
     * sku规格名称
     */
    private String skuSpecName;

    /**
     * bom规格名称
     */
    private String bomSpecName;

    /**
     * bom规格编码
     */
    private String bomSpecCode;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 万里牛订单号
     */
    private String orderWlnCode;

    /**
     * 订单状态 {@link com.sd.business.entity.order.enums.OrderStatusEnum}
     */
    private Integer orderStatus;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 事业部id
     */
    private Long departmentId;

}
