package com.sd.business.entity.order.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 订单sku包装bom列表查询入参实体
 *
 * @author
 * @since 2023-11-06
 */
@Getter
@Setter
public class SkuSpecPackageBomDto {

    /**
     * 订单sku信息
     */
    @Valid
    @NotEmpty(message = "规格不能为空")
    private List<SkuSpecPriceDto> skuSpecList;

}
