package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 订单列表查询返回值实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
public class OrderInfoVo extends OrderInfo {

    /**
     * 异常明细
     */
    private String exceptionTypeDetail;

    /**
     * 事业部
     */
    private String departmentName;

    /**
     * 订单商品
     */
    private List<OrderSkuVo> orderSkuList;

    /**
     * 订单包装bom列表
     */
    private List<OrderPackageBomVo> orderPackageBomList;

}
