package com.sd.business.entity.order.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class OutBomVo {

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * bom品名
     */
    private String bomSpecName;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 库存数量
     */
    private BigDecimal inventoryQuantity;

    /**
     * 出库数量
     */
    private BigDecimal outQuantity;

    /**
     * 分类id
     */
    private Long classifyId;

    /**
     * 分类名称
     */
    private String classifyName;

    /**
     * 分类父id
     */
    private Long classifyParentId;

}
