package com.sd.business.entity.work.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 生产工单列表查询入参实体
 *
 * @author
 * @since 2024-01-02
 */
@Getter
@Setter
public class WorkOrderSelectDto extends BaseSelectDto {

    /**
     * 是否同步生产
     */
    private Integer syncProduction;

    /**
     * 主材bom规格id
     */
    private Long masterBomSpecId;

    /**
     * 打印纸bom规格id
     */
    private Long printingPaperBomSpecId;

}
