package com.sd.business.entity.work.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class OpenSeaWorkOrderVo {

    /**
     * 订单id
     */
    private Long orderInfoId;

    /**
     * 订单sku Id
     */
    private Long orderSkuId;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 订单万里牛号
     */
    private String orderWlnCode;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * sku规格编号
     */
    private String skuSpecCode;

    /**
     * sku规格名称
     */
    private String skuSpecName;

    /**
     * 长
     */
    private BigDecimal length;

    /**
     * 宽
     */
    private BigDecimal width;

    /**
     * 出血长
     */
    private BigDecimal bleedingLength;

    /**
     * 出血宽
     */
    private BigDecimal bleedingWidth;

}
