package com.sd.business.entity.work.vo;

import com.sd.business.entity.work.po.WorkOrder;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 生产工单列表查询返回值实体
 *
 * @author
 * @since 2024-01-02
 */
@Getter
@Setter
public class WorkOrderVo extends WorkOrder {

    /**
     * 主材bom规格编号
     */
    private String masterBomSpecCode;

    /**
     * 主材bom规格名称
     */
    private String masterBomSpecName;

    /**
     * 打印纸bom规格编号
     */
    private String printingPaperBomSpecCode;

    /**
     * 打印纸bom规格名称
     */
    private String printingPaperBomSpecName;

    /**
     * 工单详情
     */
    List<WorkOrderDetailVo> workOrderDetailList;

    /**
     * 公海工单
     */
    List<OpenSeaWorkOrderVo> openSeaWorkOrderList;

}
