package com.sd.business.service.apply;

import com.sd.business.entity.apply.po.ApplyBuy;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.apply.vo.ApplyBuyVo;
import com.sd.business.entity.apply.dto.ApplyBuySelectDto;
import com.sd.business.entity.apply.dto.ApplyBuyDto;


/**
 * <p>
 * 申购单 服务类
 * </p>
 *
 * @author 
 * @since 2024-01-03
 */
public interface ApplyBuyService extends BaseService<ApplyBuy> {

    /**
     * 申购单分页
     */
    Page<ApplyBuyVo> getPage(ApplyBuySelectDto dto);

    /**
     * 申购单明细
     */
    ApplyBuyVo detail(Long id);

    /**
     * 申购单新增
     */
    void add(ApplyBuyDto dto);

    /**
     * 申购单编辑
     */
    void edit(ApplyBuyDto dto);

    /**
     * 申购单删除
     */
    void delete(Long id);
}
