package com.sd.business.service.outbound;

import com.sd.business.entity.outbound.po.OutboundOrder;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.outbound.vo.OutboundOrderVo;
import com.sd.business.entity.outbound.dto.OutboundOrderSelectDto;
import com.sd.business.entity.outbound.dto.OutboundOrderDto;


/**
 * <p>
 * 出库单 服务类
 * </p>
 *
 * @author 
 * @since 2023-12-15
 */
public interface OutboundOrderService extends BaseService<OutboundOrder> {

    /**
     * 出库单分页
     */
    Page<OutboundOrderVo> getPage(OutboundOrderSelectDto dto);

    /**
     * 出库单明细
     */
    OutboundOrderVo detail(Long id);

    /**
     * 出库单新增
     */
    void add(OutboundOrderDto dto);

    /**
     * 出库单编辑
     */
    void edit(OutboundOrderDto dto);

    /**
     * 出库单删除
     */
    void delete(Long id);

}
