package com.sd.business.service.sku;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.po.SkuSpec;

import java.math.BigDecimal;


/**
 * <p>
 * sku规格 服务类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface SkuSpecService extends BaseService<SkuSpec> {

    /**
     * 获取sku的库存数
     */
    BigDecimal getSkuInventoryQuantity(Long id);

}
