package com.sd.business.util.packing.entity;

import com.sd.business.util.packing.model.Item;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class Instance {

    /**
     * 边界的长
     */
    private double length;

    /**
     * 边界的宽
     */
    private double width;

    /**
     * 矩形列表
     */
    private List<Item> itemList;

    /**
     * 是否允许矩形旋转
     */
    private boolean isRotateEnable;

}
