package com.sd.business.util.packing.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class Solution {

    /**
     * 已放置矩形
     */
    private List<PlaceItem> placeItemList;

    /**
     * 放置最大长度
     */
    private double maxLength;

    /**
     * 放置总面积
     */
    private double total;

    /**
     * 利用率
     */
    private double useRatio;

}
