package com.sd.business.controller.sku;

import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.sku.SkuSpecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;


/**
 * <p>
 * sku规格 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
@RestController
@RequestMapping("/skuSpec")
public class SkuSpecController {

    @Autowired
    private SkuSpecService skuSpecService;

    /**
     * 获取sku的库存数
     */
    @PostMapping("/getSkuInventoryQuantity")
    public BigDecimal getSkuInventoryQuantity(@RequestBody BaseSelectDto dto) {
        return skuSpecService.getSkuInventoryQuantity(dto.getId());
    }


}
