package com.sd.business.entity.apply.dto;

import com.sd.business.entity.apply.po.ApplyBuy;
import com.sd.business.entity.apply.po.ApplyBuyBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 申购单新增编辑入参实体
 *
 * @author 
 * @since 2024-01-03
 */
@Getter
@Setter
public class ApplyBuyDto extends ApplyBuy {

    /**
     * 申购bom
     */
    @NotEmpty(message = "申购清单不能为空")
    private List<ApplyBuyBom> applyBuyBomList;
}
