package com.sd.business.entity.apply.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 申购单
 * </p>
 *
 * @author 
 * @since 2024-01-03
 */
@Getter
@Setter
@TableName("apply_buy")
public class ApplyBuy extends BasePo {

    /**
     * 申购单号
     */
    private String code;

    /**
     * 申购人
     */
    private String applyName;

    /**
     * 申购时间
     */
    private Date applyTime;

    /**
     * 申购说明
     */
    private String remark;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回 4已作废 10已采购
     */
    private Integer flowStatus;

}
