package com.sd.business.entity.bom.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * bom
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
@Getter
@Setter
@TableName("bom")
public class Bom extends BasePo {

    /**
     * bom分类id
     */
    private Long bomClassifyId;

    /**
     * 品号
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 种类 字典:bom_species
     */
    private String species;

    /**
     * 详细描述
     */
    private String detailText;

}
