package com.sd.business.entity.inventory.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 成品仓E10导入实体
 *
 * @author
 * @since 2023-11-10
 */
@Getter
@Setter
public class InventoryFinishedErpImportDataDto {
    /**
     * SKU
     */
    @ExcelProperty(value = "SKU")
    private String skuSpecCode;

    /**
     * 品号
     */
    @ExcelProperty(value = "品号")
    private String skuSpecFinishedCode;

    /**
     * 特征码
     */
    @ExcelProperty(value = "特征码")
    private String featureCode;

    /**
     * 数量
     */
    @ExcelProperty(value = "业务数量")
    private String quantity;

    /**
     * 万里牛出库单编号
     */
    @ExcelProperty(value = "万里牛出库单编号")
    private String outboundOrderCode;
}
