package com.sd.business.entity.price.dto;

import com.sd.business.entity.price.po.PriceBillingStandard;
import com.sd.business.entity.price.po.PriceBillingStandardDetail;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 加工计费标准新增编辑入参实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
public class PriceBillingStandardDto extends PriceBillingStandard {

    /**
     * 明细
     */
    @Valid
    @NotNull(message = "加工计费标准明细不能为空")
    private List<PriceBillingStandardDetail> priceBillingStandardDetailList;

}
