package com.sd.business.entity.sku.vo;

import com.sd.business.entity.sku.po.SkuSpec;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * sku规格列表查询返回值实体
 *
 * @author
 * @since 2023-11-09
 */
@Getter
@Setter
public class SkuSpecVo extends SkuSpec {

    /**
     * 主材bom规格编码
     */
    private String bomSpecCode;

    /**
     * 主材bom规格名称
     */
    private String bomSpecName;

    /**
     * 打印纸bom规格编码
     */
    private String printingPaperBomSpecCode;

    /**
     * 打印纸bom规格名称
     */
    private String printingPaperBomSpecName;

    /**
     * 设计图
     */
    private String designImgUrl;

    /**
     * 共享文件夹
     */
    private String sharedFolder;

    /**
     * 包材
     */
    private List<SkuSpecLinkVo> packagingMaterialList;

    /**
     * 快递包装
     */
    private List<SkuSpecLinkVo> expressPackingList;

}
