package com.sd.business.entity.work.dto;

import com.sd.business.entity.work.po.WorkOrder;
import com.sd.business.entity.work.po.WorkOrderDetail;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 生产工单新增编辑入参实体
 *
 * @author
 * @since 2024-01-02
 */
@Getter
@Setter
public class WorkOrderDto extends WorkOrder {

    /**
     * 工单明细
     */
    @NotEmpty
    @Valid
    private List<WorkOrderDetail> workOrderDetailList;

}
