package com.sd.business.service.apply;

import com.sd.business.entity.apply.po.ApplyBuyBom;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.apply.vo.ApplyBuyBomVo;
import com.sd.business.entity.apply.dto.ApplyBuyBomSelectDto;
import com.sd.business.entity.apply.dto.ApplyBuyBomDto;


/**
 * <p>
 * 申购单bom 服务类
 * </p>
 *
 * @author 
 * @since 2024-01-03
 */
public interface ApplyBuyBomService extends BaseService<ApplyBuyBom> {

    /**
     * 申购单bom分页
     */
    Page<ApplyBuyBomVo> getPage(ApplyBuyBomSelectDto dto);

    /**
     * 申购单bom明细
     */
    ApplyBuyBomVo detail(Long id);

    /**
     * 申购单bom新增
     */
    void add(ApplyBuyBomDto dto);

    /**
     * 申购单bom编辑
     */
    void edit(ApplyBuyBomDto dto);

    /**
     * 申购单bom删除
     */
    void delete(Long id);

}
