package com.sd.business.service.work;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.work.dto.WorkOrderDetailDto;
import com.sd.business.entity.work.dto.WorkOrderDetailSelectDto;
import com.sd.business.entity.work.po.WorkOrderDetail;
import com.sd.business.entity.work.vo.WorkOrderDetailVo;


/**
 * <p>
 * 生产工单明细 服务类
 * </p>
 *
 * @author
 * @since 2024-01-02
 */
public interface WorkOrderDetailService extends BaseService<WorkOrderDetail> {

    /**
     * 生产工单明细分页
     */
    Page<WorkOrderDetailVo> getPage(WorkOrderDetailSelectDto dto);

    /**
     * 生产工单明细明细
     */
    WorkOrderDetailVo detail(Long id);

    /**
     * 生产工单明细新增
     */
    void add(WorkOrderDetailDto dto);

    /**
     * 生产工单明细编辑
     */
    void edit(WorkOrderDetailDto dto);

    /**
     * 生产工单明细删除
     */
    void delete(Long id);

}
