package com.sd.business.util.fixation;

import com.ruoyi.common.exception.ServiceException;
import com.sd.business.entity.work.enums.WorkOrderFixationSpecEnum;
import com.sd.business.util.fixation.strategy.Fixation_30_40;

public class FixationFactory {

    private FixationFactory() {
    }

    public static FixationStrategy get(WorkOrderFixationSpecEnum workOrderFixationSpecEnum) {
        switch (workOrderFixationSpecEnum) {

            case SPEC_30_40:
                return new Fixation_30_40();

            default:
                throw new ServiceException("未知排版策略");

        }
    }

}
