package com.sd.business.util.packing.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class PlaceItem {

    /**
     * id
     */
    private Long id;

    /**
     * x坐标
     */
    private double x;

    /**
     * y坐标
     */
    private double y;

    /**
     * 长（考虑旋转后的）
     */
    private double length;

    /**
     * 宽（考虑旋转后的）
     */
    private double width;

    /**
     * 是否旋转
     */
    private boolean isRotate;

}
